Bug 138671 - Bluetooth 3com PCMCIA Card doesn't work in FC2 or 3, Did in FC1 :-(
Bluetooth 3com PCMCIA Card doesn't work in FC2 or 3, Did in FC1 :-(
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: bluez-bluefw (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: David Woodhouse
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-10 11:47 EST by Nick
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-10 10:24:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nick 2004-11-10 11:47:56 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1) -
Firefox useragent switcher !

Description of problem:
3Com Bluethooth PCMCIA Card Doesn't work in FC2 or FC3.

In FC1, Steps to install were
from distribution cd rpm -ivh bluez*
cp BT3CPCC.bin /etc/bluetooth/firmware
/etc/init.d/bluetooth start
...& then gnome-bluetooth-manager worked !

Have followed the same steps & in FC2 & now just installed FC3 but no joy.



Version-Release number of selected component (if applicable):
bluez-hcidump-1.11-1 bluez-utils-2.10-2
gnome-bluetooth-0.5.1-5bluez-libs-2.10-2 bluez-pin-0.23-3 
bluez-bluefw-1.0-6  kernel-2.6.9-1.667 

How reproducible:
Always

Steps to Reproduce:
1.Clean Install FC3 (Hardware = HP Omnibook 6100)
2. rpm -ivh bluez*
3. get BT3CPCC.bin from
http://www.3com.com/products/en_US/result.jsp?selected=all&sort=effdt&order=desc&sku=3CRWB6096
4. do unzip -p btp1_1en.exe Drivers.W2k/BT3CPCC.bin > BT3CPCC.bin
5. cp BT3CPCC.bin /etc/bluetooth/firmware
6. /etc/init.d/bluetooth start
7. gnome-bluetooth-manger
    

Actual Results:  gnome-bluetooth-manager reports "could not find
bluetooth devices on system"

Expected Results:  gnome-bluetooth-manager to start & me to "scan" for
local devices ;-)
Comment 1 Nick 2004-11-10 11:49:45 EST
####################################
# Stuff I thought might be usefull
###################################

#PCMCIA INFO !
###############
$ sudo cardctl status
Socket 0:
  5V 16-bit PC Card
  function 0: [ready], [wp]
Socket 1:
  no card
$ sudo cardctl info
PRODID_1="3COM"
PRODID_2="3CRWB60-A"
PRODID_3="Bluetooth PC Card"
PRODID_4=""
MANFID=0101,0040
FUNCID=2
PRODID_1=""
PRODID_2=""
PRODID_3=""
PRODID_4=""
MANFID=0000,0000
FUNCID=255

$ sudo cardctl
$ sudo cardctl ident
Socket 0:
  product info: "3COM", "3CRWB60-A", "Bluetooth PC Card"
  manfid: 0x0101, 0x0040
  function: 2 (serial)
Socket 1:
  no product info available

######################################
/var/log/messages
Nov 10 16:46:15 localhost hcid[7352]: Bluetooth HCI daemon
Nov 10 16:46:15 localhost bluetooth: hcid startup succeeded
Nov 10 16:46:15 localhost sdpd[7356]: Bluetooth SDP daemon 
Nov 10 16:46:15 localhost bluetooth: sdpd startup succeeded

#######################################
$ rpm -q -a | grep bluez
bluez-hcidump-1.11-1
bluez-utils-2.10-2
bluez-libs-2.10-2
bluez-pin-0.23-3
bluez-bluefw-1.0-6
Comment 2 Nick 2005-01-30 17:42:39 EST
[SOLVED]
By luck I found a FAQ:
http://fcp.homelinux.org/modules/smartfaq/faq.php?faqid=72

and I assumed that all firmware should now go in /lib/firmware.. and
now it works :-)

Note You need to log in before you can comment on or make changes to this bug.